View Issue Details

IDProjectCategoryView StatusLast Update
13235Bug reports[All Projects] Survey designpublic2018-01-30 14:31
Reportersforbus Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.0.x 
Target VersionFixed in Version3.1.x 
Summary13235: Copy Array Question Type Results in Internal Server Error
Description

If you create an array type question (standard array) and enter both answers and subquestions and then attempt to make a copy of that question, it results in an error:

The value for the column "qid" is not supplied when querying the table "lime_questions".

The question appears to be copied, but does not function correctly.

Steps To Reproduce

Create survey -> Create question group -> Create question of type array -> Add answers and subquestions -> Click Copy -> Give name and click Save

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0.5 - 180118
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMaria DB 10.1.30
Server OS (if known)Centos 7.4
Webserver software & version (if known)Apache 2.4
PHP Version7.0.25

Activities

sforbus

sforbus

2018-01-23 18:31

reporter  

limesurvey_survey_624294.lss (17,655 bytes)
c_schmitz

c_schmitz

2018-01-24 23:27

administrator   ~46053

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26231

Related Changesets

LimeSurvey: master f029d3aa

2018-01-24 23:27:05

c_schmitz

Details Diff
Fixed issue 13235: Copying Array question results in error Affected Issues
13235
mod - application/controllers/admin/database.php Diff File

Issue History

Date Modified Username Field Change
2018-01-23 18:31 sforbus New Issue
2018-01-23 18:31 sforbus File Added: limesurvey_survey_624294.lss
2018-01-24 23:26 c_schmitz Assigned To => c_schmitz
2018-01-24 23:26 c_schmitz Status new => assigned
2018-01-24 23:27 c_schmitz Changeset attached => LimeSurvey master f029d3aa
2018-01-24 23:27 c_schmitz Note Added: 46053
2018-01-24 23:27 c_schmitz Resolution open => fixed
2018-01-24 23:27 c_schmitz Status assigned => resolved
2018-01-24 23:27 c_schmitz Fixed in Version => 3.1.x
2018-01-30 14:31 ollehar Status resolved => closed